public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/pdfpc/
Date: Tue,  3 Oct 2017 21:54:38 +0000 (UTC)	[thread overview]
Message-ID: <1507067667.c7e3682123e407c95ceb0e8ce13a9199697f3916.monsieurp@gentoo> (raw)

commit:     c7e3682123e407c95ceb0e8ce13a9199697f3916
Author:     Pierre-Olivier Mercier <nemunaire <AT> nemunai <DOT> re>
AuthorDate: Thu Sep 28 23:56:38 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Oct  3 21:54:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7e36821

app-misc/pdfpc: version bump to 4.0.8.

Package-Manager: Portage-2.3.8, Repoman-2.3.3
Closes: https://github.com/gentoo/gentoo/pull/5820

 app-misc/pdfpc/Manifest           |  1 +
 app-misc/pdfpc/pdfpc-4.0.8.ebuild | 43 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/app-misc/pdfpc/Manifest b/app-misc/pdfpc/Manifest
index b7f9ea4de11..5f466f0e3b2 100644
--- a/app-misc/pdfpc/Manifest
+++ b/app-misc/pdfpc/Manifest
@@ -1,2 +1,3 @@
 DIST pdfpc-3.1.1.tgz 199004 SHA256 ec5ffb9c2b55d1bac76172a6a13ed527ceed8cf0d659aca5e302f6a7185f00f2 SHA512 554203094b18fe11fd085414961de6644df3c258ad52d46ad171cfd6c2199028bcbaa9560bdaba63d83f858b467407cc276972b34f341cc25260db1d1358e88d WHIRLPOOL bddcba6a4285ea2b58dd01f76b7b050db630eaa97de5bba32a66f7f85563e6a99763a52e82286297f605dfa59d9ff918007baab297e587968ac1c83e3d69e8a8
 DIST pdfpc-4.0.7.tar.gz 83626 SHA256 25d5aa2cce344f1554f1f45a7c1f636576587cfd553d75d704e0c95ae3b2a503 SHA512 557e2a24e7aa4b0a7bc413517d6b274c7bad91f5e9d24ec139d0e62c490712081344448bfbedc82a90d28cd9b5910a6f51863aa44dc1c7a61ada6d154780444c WHIRLPOOL f5018d7ba64bea17923c9e3f2e5b6e7e3bc950ffea02a53c93d63057590f1538371fe6b11383d6fbfb4c32d04887f75d1e01f6b24c4b9fc43ac1aacf9be075cd
+DIST pdfpc-4.0.8.tar.gz 91138 SHA256 c04539398176b0911ec7216c48a04d90d7c893aa5b16cfdef8ea861885991066 SHA512 f077f08f2ee997d55b4e4ced31ec6f21791353871104fff9ece264455a18e30ba365933b15b6b596817f3e6f3f0a181f4fecf19180b8a4337f3752d3aebec7d7 WHIRLPOOL 901f46b831162c88d510754288feb7851e5b3f31af618b7e0b91f884b980bb72ac1de897878bc07db72b6b5d6fa15f108404e835778a0c3615e06a94451567b5

diff --git a/app-misc/pdfpc/pdfpc-4.0.8.ebuild b/app-misc/pdfpc/pdfpc-4.0.8.ebuild
new file mode 100644
index 00000000000..f0b2e1fa3cc
--- /dev/null
+++ b/app-misc/pdfpc/pdfpc-4.0.8.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VALA_MIN_API_VERSION="0.26"
+VALA_MAX_API_VERSION="0.36" # fix sed line if you increase this
+
+inherit vala cmake-utils
+
+DESCRIPTION="Presenter console with multi-monitor support for PDF files"
+HOMEPAGE="http://pdfpc.github.io"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gstreamer"
+
+RDEPEND="app-text/poppler:=[cairo]
+	dev-libs/glib:2
+	dev-libs/libgee:0.8
+	gnome-base/librsvg
+	gstreamer? ( media-libs/gstreamer:1.0
+	media-libs/gst-plugins-base:1.0 )
+	sys-apps/dbus
+	x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+	$(vala_depend)"
+
+src_prepare() {
+	default
+	sed -i -e "s/valac-0.20/valac-0.36 valac-0.34 valac-0.32 valac-0.30 valac-0.28 valac-0.26/" cmake/vala/FindVala.cmake || die
+	vala_src_prepare
+}
+
+src_configure(){
+	local mycmakeargs=(
+		-DSYSCONFDIR="${EPREFIX}/etc"
+		-DMOVIES=$(usex gstreamer on off)
+	)
+	cmake-utils_src_configure
+}


             reply	other threads:[~2017-10-03 21:54 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-10-03 21:54 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-22 21:30 [gentoo-commits] repo/gentoo:master commit in: app-misc/pdfpc/ Ulrich Müller
2023-04-25 20:57 Sam James
2023-04-25 20:57 Sam James
2023-02-11  4:30 Ulrich Müller
2023-02-09  6:50 Ulrich Müller
2023-01-30 15:25 Ben Kohler
2023-01-01 14:48 David Seifert
2022-07-29  7:22 Ulrich Müller
2022-07-28 23:06 Sam James
2022-07-28 23:06 Sam James
2022-06-24  7:49 Ulrich Müller
2021-12-20  9:17 Ulrich Müller
2021-12-20  9:17 Ulrich Müller
2021-12-16 17:02 Jakov Smolić
2021-12-16  7:44 Agostino Sarubbo
2021-12-15 13:40 Jakov Smolić
2021-09-03  7:55 Joonas Niilola
2021-09-03  7:55 Joonas Niilola
2021-09-03  7:55 Joonas Niilola
2021-02-19  2:14 Andreas Sturmlechner
2021-02-18 23:25 Sam James
2021-02-18 17:12 Sam James
2021-01-18  9:28 Joonas Niilola
2020-04-26 13:37 Joonas Niilola
2020-04-26 13:37 Joonas Niilola
2020-04-26 13:37 Joonas Niilola
2019-03-20 20:27 Aaron Bauman
2019-03-02 10:31 Tiziano Müller
2019-03-02 10:31 Tiziano Müller
2019-02-26 19:12 Mikle Kolyada
2019-02-26 19:10 Mikle Kolyada
2019-02-15  0:18 Thomas Deutschmann
2018-12-30 16:18 Manuel Rüger
2018-10-28 17:02 Manuel Rüger
2018-06-07 10:48 Andreas Sturmlechner
2018-06-07 10:13 Agostino Sarubbo
2018-05-03 17:21 Manuel Rüger
2018-05-03 17:21 Manuel Rüger
2018-03-13 12:51 Michael Palimaka
2017-07-23 12:07 Michael Palimaka
2017-07-23 12:04 Manuel Rüger
2017-06-28 15:08 Manuel Rüger
2017-02-19 19:45 Manuel Rüger
2017-02-19 19:42 Manuel Rüger
2017-01-04 22:51 Manuel Rüger
2016-11-22 20:44 Manuel Rüger
2016-11-22 20:44 Manuel Rüger
2016-10-08  9:51 Pacho Ramos
2016-10-02 23:23 Manuel Rüger
2016-02-16 22:46 Manuel Rüger
2016-02-14 21:56 Manuel Rüger
2016-02-01 20:45 Pacho Ramos
2015-12-20 12:02 Manuel Rüger
2015-11-08 15:51 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1507067667.c7e3682123e407c95ceb0e8ce13a9199697f3916.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox